# Uses of Interface
org.bukkit.BlockChangeDelegate

Packages that use BlockChangeDelegate
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of BlockChangeDelegate in org.bukkit

Methods in org.bukkit with parameters of type BlockChangeDelegate
Modifier and Type
Method
Description
`boolean`
World.`generateTree(@NotNull Location loc, @NotNull TreeType type, @NotNull BlockChangeDelegate delegate)`
Deprecated.
this method does not handle tile entities (bee nests)